A sign indicating a WiFi zone. (2013 photo by Simon Dawson/Bloomberg News)

A top federal government cybersecurity watchdog issued an advisory on Monday, warning users to update their devices to protect against a newly discovered vulnerability that affects nearly every modern, protected WiFi network.

The U.S. Computer Emergency Readiness Team's announcement comes after a security expert at the University of Leuven in Belgium published findings that showed that a widely used encryption system for wireless networks could give attackers an opening to steal sensitive information such as emails, chat histories and credit card numbers. The government organization also referred users to a vulnerability note published by Carnegie Mellon University's Software Engineering Institute.

The exploit would allow hackers to eavesdrop on Internet traffic between computers and wireless access points. The findings are significant because of the wide range of devices that could be affected.

“The attack works against all modern protected Wi-Fi networks,” Mathy Vanhoef said on a website he created to share his research. “Depending on the network configuration, it is also possible to inject and manipulate data. For example, an attacker might be able to inject ransomware or other malware into websites.”

Vanhoef said any device that supports WiFi probably leaves itself vulnerable to this attack, called KRACK, for Key Reinstallation Attack. “During our initial research, we discovered ourselves that Android, Linux, Apple, Windows, OpenBSD, MediaTek, Linksys, and others, are all affected by some variant of the attacks,” he noted on the website.

Cisco, Intel and Samsung were among the companies whose products were affected but have since updated their devices.

In a statement, Microsoft said the company "released security updates on October 10th and customers who have Windows Update enabled and applied the security updates, are protected automatically. We updated to protect customers as soon as possible, but as a responsible industry partner, we withheld disclosure until other vendors could develop and release updates."

Apple did not immediately respond to a request for comment, but Vanhoef noted that iOS and Windows devices were not the most vulnerable to the exploit. The attack, however, is “exceptionally devastating” for devices that run Android 6.0, Vanhoef found. Google said in a statement, "We're aware of the issue, and we will be patching any affected devices in the coming weeks."

Vanhoef noted that even when Internet users connect to secure websites that use the HTTPS protocol, they may still be at risk. “Although websites or apps may use HTTPS as an additional layer of protection, we warn that this extra protection can (still) be bypassed in a worrying number of situations,” he said.

While he acknowledged that some of the attack scenarios discussed in his research are impractical to pull off, he said the bottom line is that you should still “update all your devices once security updates are available.”